import sqlite3

npc_db = sqlite3.connect("../npc_db")
cur = npc_db.cursor()

flaws = [
    "A scandal prevents me from ever going home again. That kind of trouble seems to follow me around.",
    "An innocent person is in prison for a crime that I committed. I'm okay with that.",
    "By my words and actions, I often bring shame to my family.",
    "Despite my best efforts, I am unreliable to my friends.",
    "Don't expect me to save those who can't save themselves. It is nature's way that the strong thrive and the weak perish.",
    "Gold seems like a lot of money to me, and I'll do just about anything for more of it.",
    "I am dogmatic in my thoughts and philosophy.",
    "I am easily distracted by the promise of information.",
    "I am inflexible in my thinking.",
    "I am slow to trust members of other races",
    "I am suspicious of strangers and suspect the worst of them.",
    "I am too enamored of ale, wine, and other intoxicants.",
    "I can't help but pocket loose coins and other trinkets I come across.",
    "I can't keep a secret to save my life, or anyone else's.",
    "I can't resist a pretty face.",
    "I can't resist swindling people who are more powerful than me.",
    "I follow orders, even if I think they're wrong.",
    "I harbor dark bloodthirsty thoughts that my isolation failed to quell.",
    "I hate to admit it and will hate myself for it, but I'll run and preserve my own hide if the going gets tough.",
    "I have a 'tell' that reveals when I'm lying.",
    "I have a weakness for the vices of the city, especially hard drink.",
    "I have an insatiable desire for carnal pleasures.",
    "I have little respect for anyone who is not a proven warrior.",
    "I have trouble keeping my true feelings hidden. My sharp tongue lands me in trouble.",
    "I have trouble trusting in my allies.",
    "I hide a truly scandalous secret that could ruin my family forever.",
    "I judge others harshly, and myself even more severely.",
    "I let my need to win arguments overshadow friendships and harmony.",
    "I like keeping secrets and won't share them with anyone.",
    "I made a terrible mistake in battle that cost many lives--and I would do anything to keep that mistake secret.",
    "I obey the law, even if the law causes misery.",
    "I once satirized a noble who still wants my head. It was a mistake that I will likely repeat.",
    "I overlook obvious solutions in favor of complicated ones.",
    "I put too much trust in those who wield power within my temple's hierarchy.",
    "I remember every insult I've received and nurse a silent resentment toward anyone who's ever wronged me.",
    "I secretly believe that everyone is beneath me.",
    "I speak without really thinking through my words, invariably insulting others.",
    "I too often hear veiled insults and threats in every word addressed to me, and I'm quick to anger.",
    "I turn tail and run when things go bad.",
    "I will never fully trust anyone other than myself.",
    "I would kill to acquire a noble title.",
    "I'd rather eat my armor than admit when I'm wrong.",
    "I'd rather kill someone in their sleep than fight fair.",
    "I'd risk too much to uncover a lost bit of knowledge.",
    "I'll do anything to get my hands on something rare or priceless.",
    "I'll do anything to win fame and renown.",
    "I'll say anything to avoid having to do extra work.",
    "I'm a sucker for a pretty face.",
    "I'm always in debt. I spend my ill-gotten gains on decadent luxuries faster than I bring them in.",
    "I'm convinced of the significance of my destiny, and blind to my shortcomings and the risk of failure.",
    "I'm convinced that no one could ever fool me in the way I fool others.",
    "I'm horribly jealous of anyone who outshines my handiwork. Everywhere I go, I'm surrounded by rivals.",
    "I'm never satisfied with what I have--I always want more.",
    "I'm quick to assume that someone is trying to cheat me.",
    "I'm too greedy for my own good. I can't resist taking a risk if there's money involved.",
    "If I'm outnumbered, I always run away from a fight.",
    "If there's a plan, I'll forget it. If I don't forget it, I'll ignore it.",
    "In fact, the world does revolve around me.",
    "It's not stealing if I need it more than someone else.",
    "Most people scream and run when they see a demon. I stop and take notes on its anatomy.",
    "My hatred of my enemies is blind and unreasoning.",
    "My piety sometimes leads me to blindly trust those that profess faith in my god.",
    "My pride will probably lead to my destruction",
    "No one must ever learn that I once stole money from guild coffers.",
    "Now that I've returned to the world, I enjoy its delights a little too much.",
    "Once I pick a goal, I become obsessed with it to the detriment of everything else in my life.",
    "Once I start drinking, it's hard for me to stop.",
    "Once someone questions my courage, I never back down no matter how dangerous the situation.",
    "People who don't take care of themselves get what they deserve.",
    "Secretly, I believe that things would be better if I were a tyrant lording over the land.",
    "The monstrous enemy we faced in battle still leaves me quivering with fear.",
    "The people who knew me when I was young know my shameful secret, so I can never go home again.",
    "The tyrant who rules my land will stop at nothing to see me killed.",
    "There's no room for caution in a life lived to the fullest.",
    "Unlocking an ancient mystery is worth the price of a civilization.",
    "Violence is my answer to almost any challenge.",
    "When I see something valuable, I can't think about anything but how to steal it.",
    "When faced with a choice between money and my friends, I usually choose the money."
]

for flaw in flaws:
    cur.execute("INSERT INTO npc_personality_flaw (flaw) VALUES (?);", (flaw,))
    npc_db.commit()